package sicura.entities;
// Generated 2-lug-2017 12.21.35 by Hibernate Tools 5.2.3.Final

import javax.ejb.Stateless;
import javax.persistence.EntityManager;
import javax.persistence.PersistenceContext;
import org.apache.commons.logging.Log;
import org.apache.commons.logging.LogFactory;

/**
 * Home object for domain model class ServiceOperation.
 * @see sicura.entities.ServiceOperation
 * @author Hibernate Tools
 */
@Stateless
public class ServiceOperationHome {

	private static final Log log = LogFactory.getLog(ServiceOperationHome.class);

	@PersistenceContext
	private EntityManager entityManager;

	public void persist(ServiceOperation transientInstance) {
		log.debug("persisting ServiceOperation instance");
		try {
			entityManager.persist(transientInstance);
			log.debug("persist successful");
		} catch (RuntimeException re) {
			log.error("persist failed", re);
			throw re;
		}
	}

	public void remove(ServiceOperation persistentInstance) {
		log.debug("removing ServiceOperation instance");
		try {
			entityManager.remove(persistentInstance);
			log.debug("remove successful");
		} catch (RuntimeException re) {
			log.error("remove failed", re);
			throw re;
		}
	}

	public ServiceOperation merge(ServiceOperation detachedInstance) {
		log.debug("merging ServiceOperation instance");
		try {
			ServiceOperation result = entityManager.merge(detachedInstance);
			log.debug("merge successful");
			return result;
		} catch (RuntimeException re) {
			log.error("merge failed", re);
			throw re;
		}
	}

	public ServiceOperation findById(Integer id) {
		log.debug("getting ServiceOperation instance with id: " + id);
		try {
			ServiceOperation instance = entityManager.find(ServiceOperation.class, id);
			log.debug("get successful");
			return instance;
		} catch (RuntimeException re) {
			log.error("get failed", re);
			throw re;
		}
	}
}
